### Enumeration

# Tracker SparqlError

#### Declaration

    error-domain Tracker.SparqlError

#### Description [src]

Error domain for Tracker Sparql. Errors in this domain will be from the `TrackerSparqlError` enumeration. See `GError` for more information on error domains.

#### Members

Name | Description
--- | ---
`TRACKER_SPARQL_ERROR_CONSTRAINT` | Subject is not in the domain of a property or trying to set multiple values for a single valued property.
`TRACKER_SPARQL_ERROR_INTERNAL` | Internal error.
`TRACKER_SPARQL_ERROR_NO_SPACE` | There was no disk space available to perform the request.
`TRACKER_SPARQL_ERROR_ONTOLOGY_NOT_FOUND` | The specified ontology wasn’t found.
`TRACKER_SPARQL_ERROR_OPEN_ERROR` | Problem encountered while opening the database.
`TRACKER_SPARQL_ERROR_PARSE` | Error parsing the SPARQL string.
`TRACKER_SPARQL_ERROR_QUERY_FAILED` | Problem while executing the query.
`TRACKER_SPARQL_ERROR_TYPE` | Type constraint failed when trying to insert data.
`TRACKER_SPARQL_ERROR_UNKNOWN_CLASS` | Unknown class.
`TRACKER_SPARQL_ERROR_UNKNOWN_GRAPH` | Unknown graph.
`TRACKER_SPARQL_ERROR_UNKNOWN_PROPERTY` | Unknown property.
`TRACKER_SPARQL_ERROR_UNSUPPORTED` | Unsupported feature or method.
`TRACKER_SPARQL_ERROR_MISSING_LAST_MODIFIED_HEADER` | The ontology doesn’t contain nrl:lastModified header.
`TRACKER_SPARQL_ERROR_INCOMPLETE_PROPERTY_DEFINITION` | The property is not completely defined.
`TRACKER_SPARQL_ERROR_CORRUPT` | A soft/hard corruption was found in the database during operation.
`TRACKER_SPARQL_ERROR_LAST` | The total number of error codes.

#### Type functions

###### tracker_sparql_error_quark

No description available.